/* alloc.c */

#include "fumied.h"

void *dmalloc(int size, char *name)
{
  void *foo = (void *)malloc (size);

  if (!foo)
    warn ("No memory for %s.", name);

  memset (foo, 0, size);

  return foo;
}

void dfree(void *ptr, char *name)
{

  if (!ptr)
    {
      warn ("dfree %s: free on null pointer.", name);
      return;
    }

  free (ptr);
}
